package com.cronos.admin.services;

public class DatabaseEngineConnInfo {

	private DatabaseEngine databaseEngine;
	private String name;
	private String username;
	private String password;
	private String dbname;
	private String server;
	private String serverPort;
	private int maxActive = 4;
	private int maxIdle = 2;
	private int maxWait = 5000;

	public DatabaseEngine getDatabaseEngine() {
		return databaseEngine;
	}

	public void setDatabaseEngine(DatabaseEngine databaseEngine) {
		this.databaseEngine = databaseEngine;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDbname() {
		return dbname;
	}

	public void setDbname(String dbname) {
		this.dbname = dbname;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getServer() {
		return server;
	}

	public void setServer(String server) {
		this.server = server;
	}

	public String getServerPort() {
		return serverPort;
	}

	public void setServerPort(String serverPort) {
		this.serverPort = serverPort;
	}

	public int getMaxWait() {
		return maxWait;
	}

	public void setMaxWait(int maxWait) {
		this.maxWait = maxWait;
	}

	public int getMaxIdle() {
		return maxIdle;
	}

	public void setMaxIdle(int maxIdle) {
		this.maxIdle = maxIdle;
	}

	public int getMaxActive() {
		return maxActive;
	}

	public void setMaxActive(int maxActive) {
		this.maxActive = maxActive;
	}

}
